• Your favorite

    Apple

    ,

    iPhone

    ,

    iPad

    ,

    iOS

    ,
    Jailbreak
    , and
    Cydia
    site.
  • Rock Out With Your Cydia Out


    Cydia, the brainchild of Jay Freeman (saurik), is out. What is it? Think Installer, but open source and more features. The technical description, for those who get it, is a GUI front-end for a port of the Debian APT system which saurik himself ported to the iPhone, along with a whole suite of Unix utilities he's also ported.

    This isn't a replacement for Installer - I have both installed, and apps from both packagers on my iPhone. Saurik also says the same thing - "Cydia/APT does not conflict with Installer. I run both on my phone and have a large amount of software installed via Installer. There are currently no known compatibility issues between applications that expect BSD Subsystem to be installed and devices running Telesphoreo, and no reason to suspect anything major on that front. Finally, no one is forcing anyone, packagers and users alike, to start using Cydia instead of Installer."



    Cydia is easy for you to get on your iPhone - if you've got Installer on your iPhone/iPod Touch, you just add http://apptapp.saurik.com to your sources, and install Cydia Packager from the System category. Give it 5 minutes (its a big install), and you're good to go.



    You may notice Cydia is at the moment very developer friendly - many of the available installs are Unix utilities which the average user won't need. ModMyI, and especially francis (of the MMi sponsored DRP Dev Team, and author of WiSync) have been working with saurik to put together a variety of other apps as well - games, themes, utilities, and more. Anything can be installed from Cydia.



    So... what's the point? Here's a few features of Cydia:
    • Open Source - while this doesn't directly affect the average user, it is incredibly useful for developers, and bugs are also easily reportable via the project's Trac site.
    • Search - Cydia has a great built in Search function (screenshots earlier in this post), and also the iPhone's Contacts-style alphabet scroll on the side for quick finding apps you're looking for.
    • Resume-able Downloads - You can pause downloads at any time, and resume later. If you lose connection, Cydia will resume downloading as soon as you tell it to.











    Bottom line? Saurik has done some incredible work with Cydia. Bringing open source package installing to the iPhone is a first here, and since saurik stresses the fact that Cydia is still under active development, we can expect to see some great improvements to the app, which is already at version 1.0.

    Bravo.

    Developers - want your app on Cydia? Send cash7c3 or myself a pm with the link to your app, and we'll get it listed within 48 hours.
    This article was originally published in forum thread: Rock Out With Your Cydia Out started by Kyle Matthews View original post
    Comments 179 Comments
    1. sabesh's Avatar
      sabesh -
      Fake BSD Subsystem: Unable to locate in Installer and Cydia:

      I have the Big Boss & Saurik sources installed and cannot see this package. I already had BSD subsystem installed. So, maybe Installer doesn't list the Fake version since the actual version is already installed?

      BSD subsystem cannot be uninstalled via Installer. I only see an option to re-install, which fails with "package download failed". Any help will be appreciated. Thx.


      EDIT: Nevermind, I found the solution in the first page of this thread (post # 22)
    1. loop's Avatar
      loop -
      SO.... I have created a file in my etc/apt/sources.list.d directory called iclarified.list, trying to add iclarified to the apt sources. here's the file itself:

      deb http://installer.iClarified.com/ stable main


      When I try to apt-get update, I get the following error:

      Failed to fetch http://installer.iClarified.com/dist...rm/Packages.gz Undetermined Error
      Reading package lists... Done
      W: GPG error: http://modmyi.com stable Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 87F92E166197E890
      W: Couldn't stat source package list http://installer.iClarified.com stable/main Packages (/var/lib/apt/lists/installer.iClarified.com_dists_stable_main_binary-darwin-arm_Packages) - stat (2 No such file or directory)
      W: You may want to run apt-get update to correct these problems
      E: Some index files failed to download, they have been ignored, or old ones used instead.


      Any thoughts on how to get that key? I'm at a loss here.
    1. blackboxxx's Avatar
      blackboxxx -
      Quote Originally Posted by loop View Post
      SO.... I have created a file in my etc/apt/sources.list.d directory called iclarified.list, trying to add iclarified to the apt sources. here's the file itself:

      deb http://installer.iClarified.com/ stable main
      Dude, iClarified doesn't have APT repository, even from that url it should be obvious that it's for Installer.
      Probably you thought that you could just go ahead and put all your Installer sources into Cydia, but it won't work, because they are not compatible.
    1. axlior's Avatar
      axlior -
      Hi everyone!
      I think Cydia is awesome and better than Installer on many levels!
      ...but since last week I have a problem updating some of the packages in Cydia, like Moleskine or PuzzleManiak.
      I tried installing them from command line and i get this error:

      .../preinst: line 6: syntax error near unexpected token `fi'
      ...
      dpkg: error processing var/cache/apt/archives/com.databinge.moleskine 0.37b4 darwin-arm.deb (--unpack):
      subprocess pre-installation script returned error exit status 2

      other apps install without errors...could this be an error in the pre-post install script? someone else had the same errors?
    1. Hawaiian Modder's Avatar
      Hawaiian Modder -
      Does anyone know of a way to contact the creator because I've had quite a few problems and I know how to fix them all. I bet it would help if I could get a hold of him.
      But I have an issue myself, everytime I try to start up a apt-get process (install, remove, reinstall) it will install my package, then attempt to install Band and Band pack 1, which were packages that didn't install correctly for me. So now everytime I try to install something I get a stupid pop-up displaying "Package Error: subprocess post-installation script returned error exit status 2" It's not affecting the process, its more of just an annoyance I would like to get rid of.
    1. WyldPhoenix's Avatar
      WyldPhoenix -
      I am getting the "subprocess pre-installation script returned error exit status 1" error now ... I am not too sure what happened, but it started happening shortly after a package installation failed to complete.

      Installation of SOME apps result in "subprocess pre-installation script returned error exit status 1"

      Any ideas on how to fix it?

      Thanks!
      ~W
    1. jazz99's Avatar
      jazz99 -
      I need some help,

      I installed Cydia and see the icon. When I go to it under "install" I see "All Packages" but nothing is in them so I can' install anything. When I go to "uninstall" I see all kinds of things. I tried to click on reload under "install" and "featured" but get nothing but this--- "loading..." forever

      Thanks for your help
    1. 808mp5's Avatar
      808mp5 -
      Quote Originally Posted by WyldPhoenix View Post
      I am getting the "subprocess pre-installation script returned error exit status 1" error now ... I am not too sure what happened, but it started happening shortly after a package installation failed to complete.

      Installation of SOME apps result in "subprocess pre-installation script returned error exit status 1"

      Any ideas on how to fix it?

      Thanks!
      ~W
      "subprocess pre-installation script returned error exit status 1"

      this is the same problem im having on the 3G phone... now i have no battery image or edge icon
    1. KelvinalF's Avatar
      KelvinalF -
      new cydia update!!!
    1. whoadie's Avatar
      whoadie -
      Will customize ever work on this?
    1. z3r01's Avatar
      z3r01 -
      I'm just rocking out with my cydia out as it works perfect for me
    1. Eserel's Avatar
      Eserel -
      Cydia won't download for me
      I start the download,
      But it shuts down during installing bootstrap or something.
      So installer closes and its like I hadn't even tried.
    1. laz305's Avatar
      laz305 -
      Quote Originally Posted by Eserel View Post
      Cydia won't download for me
      I start the download,
      But it shuts down during installing bootstrap or something.
      So installer closes and its like I hadn't even tried.
      We need more info in order to help you out
      What CFW?
      What PC or Mac?
      What you use to JB?
      What iTunes you on now?
      ect....
    1. Eserel's Avatar
      Eserel -
      x:
      Oh I didn't think that would be relevant.
      Well I have a 1.1.4 firmware,
      Jailbreaked with ziphone I think it was 2.5 the original
      I use the most recent itunes for Macs.
      And I have a Mac OSX / Leopard .
      But I haven't had the most recent upgrade yet.
    1. socialchameleon's Avatar
      socialchameleon -
      cydia! Awesome!!
    1. PJ313's Avatar
      PJ313 -
      I finally jailbroke my 3gs about a week ago, and everything has been running great, with absolutely no problems. I did an untethered jailbrake on my 3gs, v4.1, firmware 05.14.02, with limera1n. I put in hackulo.us as a source so that I could download ********** 4, that also went well. After I found ********** 4 and began downloading, a popup came onto the screen which read,"subprocess pre-installation script returned error exit status 1." After this happened the screen froze, but I was able to use the home button to exit Cydia. I then re-opened Cydia, only to see a pop-up message saying i should forcefully uninstall ********** from cydia. I did so, and everything was working fine. My problem is, I want to download **********, and I don't know how to get it passed that error. I've tried a few times, everytime the same thing. Is there anyone that can help me?
    1. ajl917's Avatar
      ajl917 -
      Quote Originally Posted by PJ313 View Post
      I finally jailbroke my 3gs about a week ago, and everything has been running great, with absolutely no problems. I did an untethered jailbrake on my 3gs, v4.1, firmware 05.14.02, with limera1n. I put in hackulo.us as a source so that I could download ********** 4, that also went well. After I found ********** 4 and began downloading, a popup came onto the screen which read,"subprocess pre-installation script returned error exit status 1." After this happened the screen froze, but I was able to use the home button to exit Cydia. I then re-opened Cydia, only to see a pop-up message saying i should forcefully uninstall ********** from cydia. I did so, and everything was working fine. My problem is, I want to download **********, and I don't know how to get it passed that error. I've tried a few times, everytime the same thing. Is there anyone that can help me?
      Hey, first off, welcome to MMi. Secondly, our site does not support warez or cracked apps which is why there are ***** covering up the program you use to get these cracked apps. Enjoy the site, but please keep the warez out of it.

      -Andrew
    1. yashika's Avatar
      yashika -
      Excellent post,
      Thanks a lot.
    1. royalbebz2050's Avatar
      royalbebz2050 -
      Hi...btw I'm new to MMi well neways, I jailbroke my iPod touch 4 on 4.3.3 frm redsnow it was all working perfectly. Then like from 2days from now...my Cydia won't let me install or reinstall anything..but it removes perfectly... >=/ When I try to download or reinstall this msg keeps popping up...
      "subprocess rm cleanup returned error exit status 2"
      "sub-process /usr/bin/dpkg returned an error code (1)"
      I've used mobile terminal and I did "apt-get remove/install cydia" bit nothing happens.
      PLEASE I BEG...IS THERE SOMEONE WHO COULD HELP ME FIX THIS PROBLEM... ='(